GET
/project/{projectId}/scenario/{scenarioId}/historical-critical-path
curl \
--request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/historical-critical-path?startDate=string&endDate=string' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
{
"items": [
{
"id": "string",
"projectId": 42,
"scenarioId": 42,
"dataDate": "2026-05-04",
"activityId": 42,
"floatTotal": 42.0,
"startDate": "2026-05-04",
"finishDate": "2026-05-04",
"percentComplete": 42.0,
"projectEndDate": "2026-05-04T09:42:00Z"
}
],
"hasMore": true
}